variable "region" {
  description = "AWS region"
  default     = "us-east-1"
}

variable "subnet_ids" {
  description = "List of subnet IDs"
  type        = list(string)
  default     = ["subnet-0c0f8e163a821cf2a", "subnet-0b0f8e163b821cf2v"]  # Example subnet IDs
}

variable "instance_security_group_ids" {
  description = "List of security group IDs for instances"
  type        = list(string)
  default     = ["sg-0920e86dba2f1b0a"]  # Example security group IDs
}

variable "alb_security_group_ids" {
  description = "List of security group IDs for ALB"
  type        = list(string)
  default     = ["sg-0821e86vba2v1b0a"]  # Example security group IDs
}

variable "vpc_id" {
  description = "VPC ID"
  type        = string
}


variable "ami_id" {
  description = "AMI ID for Ubuntu 22.04"
  type        = string
  default     = "ami-029294a043b4c7a97"  # Example AMI ID
}
